.mdc-current-restaurant {
  position: fixed;
  z-index: 500;
  left: 1.2rem;
  bottom: 2.4rem;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.2rem;
}

.mdc-current-restaurant .halal-selector {
  background-color: rgba(var(--color-bg-contrast-rgb) / 0.75);
  border-radius: 2.8rem;
  padding: 1.2rem 2.4rem 1.2rem 1.2rem;
  display: flex;
  -webkit-backdrop-filter: blur(0.6rem);
  backdrop-filter: blur(0.6rem);
  gap: 1.2rem;
  align-items: center;
  cursor: pointer;
}
.mdc-current-restaurant .halal-selector .selector__input-wrap {
  position: relative;
}
.mdc-current-restaurant .halal-selector .selector__checkbox {
  pointer-events: none;
  z-index: -1;
  opacity: 0;
  width: 0;
  height: 0;
  position: absolute;
}
.mdc-current-restaurant .halal-selector .selector__switch {
  width: 4rem;
  height: 2.4rem;
  display: flex;
  border-radius: 20rem;
  border: 0.2rem solid var(--color-accent);
  transition: 0.3s;
}
.mdc-current-restaurant
  .halal-selector
  .selector__checkbox:checked
  + .selector__switch {
  background-color: var(--color-accent);
}
.mdc-current-restaurant
  .halal-selector
  .selector__switch
  .selector__switch-dot {
  display: block;
  border-radius: 50%;
  width: 1.6rem;
  height: 1.6rem;
  background-color: var(--color-accent);
  position: absolute;
  left: 0.4rem;
  top: 0.4rem;
  right: auto;
  transition: 0.3s;
}
.mdc-current-restaurant
  .halal-selector
  .selector__checkbox:checked
  + .selector__switch
  .selector__switch-dot {
  left: 2rem;
  background-color: var(--color-text-on-accent);
}
.mdc-current-restaurant .halal-selector .selector__title {
  font-size: 1.6rem;
  color: var(--color-text-on-contrast);
}

.mdc-current-restaurant .restaurant-button {
  background-color: rgba(var(--color-bg-contrast-rgb) / 0.75);
  border-radius: 2.4rem;
  padding: 1.2rem 2.4rem 1.2rem 1.2rem;
  display: flex;
  -webkit-backdrop-filter: blur(0.6rem);
  backdrop-filter: blur(0.6rem);
  gap: 0.8rem;
  align-items: flex-start;
}
.mdc-current-restaurant .restaurant-button .restaurant-button__icon {
  flex-shrink: 0;
  display: flex;
  padding-top: 0.2rem;
}
.mdc-current-restaurant .restaurant-button .restaurant-button__icon .icon {
  width: 2.2rem;
  height: 2.2rem;
  color: var(--color-accent);
}
.mdc-current-restaurant .restaurant-info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  color: var(--color-text-on-contrast);
}
.mdc-current-restaurant .restaurant-info .restaurant-info__title {
  display: block;
  line-height: 1.2;
  font-size: 1.6rem;
}
.mdc-current-restaurant .restaurant-info .restaurant-info__location {
  display: flex;
  align-items: flex-start;
  gap: 0.6rem;
  opacity: 0.7;
}
.mdc-current-restaurant .restaurant-info .restaurant-info__location-content {
  display: block;
  line-height: 1.3;
  font-size: 1.2rem;
}

/*  */

.floating-contacts-toggle {
  display: block;
  cursor: pointer;
  position: fixed;
  right: 1.2rem;
  bottom: 2.4rem;
  z-index: 500;
  border-radius: 20rem;
  overflow: hidden;
  padding: 0.2rem;
  width: 7.2rem;
  height: 7.2rem;
  transition: 0.3s;
  background-color: rgb(var(--color-bg-contrast-rgb) / 0.75);
  -webkit-backdrop-filter: blur(0.6rem);
  backdrop-filter: blur(0.6rem);
}
.floating-contacts-toggle:hover {
  opacity: 0.7;
}
.floating-contacts-toggle .toggle-icon {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 20rem;
  width: 6.8rem;
  height: 6.8rem;
  left: 0.2rem;
  top: 0.2rem;
  transition: 0.3s;
}
.floating-contacts-toggle .toggle-icon .icon {
  color: var(--color-text-on-contrast);
}
.floating-contacts-toggle .toggle-icon.inactive .icon {
  width: 2.8rem;
  height: 2.8rem;
}
.floating-contacts-toggle .toggle-icon.active .icon {
  width: 2rem;
  height: 2rem;
}
.floating-contacts-toggle .toggle-icon.inactive {
  opacity: 1;
  transform: scale(1);
}
.floating-contacts-toggle .toggle-icon.active {
  opacity: 0;
  transform: scale(0.5);
}
.floating-contacts-toggle.active .toggle-icon.inactive {
  opacity: 0;
  transform: scale(0.5);
}
.floating-contacts-toggle.active .toggle-icon.active {
  opacity: 1;
  transform: scale(1);
}

.floating-contacts {
  position: fixed;
  right: 1.2rem;
  bottom: 10.8rem;
  padding: 3.6rem;
  border-radius: 2.4rem;
  background-color: rgb(var(--color-bg-contrast-rgb) / 0.75);
  -webkit-backdrop-filter: blur(0.6rem);
  backdrop-filter: blur(0.6rem);
  z-index: 500;
  pointer-events: none;
  opacity: 0;
  transform: translateX(2rem);
  transition: 0.3s;
}
.floating-contacts.active {
  pointer-events: auto;
  opacity: 1;
  transform: translateX(0);
}

.floating-contacts .contacts-list {
  display: flex;
  flex-direction: column;
  position: relative;
  gap: 1.2rem;
}
.floating-contacts .contact-item {
  display: flex;
  align-items: stretch;
}
.floating-contacts .contact-item .contact-item__content {
  display: flex;
  align-items: center;
  gap: 1.2rem;
}
.floating-contacts .contact-item .contact-item__link {
}
.floating-contacts .contact-item .contact-item__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  height: 4.4rem;
  width: 4.4rem;
  transition: 0.3s;
  overflow: hidden;
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 20rem;
}
.floating-contacts .contact-item .contact-item__icon .icon {
  color: var(--color-text-on-contrast);
  width: 2.4rem;
  height: 2.4rem;
}
.floating-contacts .contact-item.location .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.floating-contacts .contact-item.phone .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.floating-contacts .contact-item.whatsapp .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.floating-contacts .contact-item.instagram .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.floating-contacts .contact-item.telegram .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.floating-contacts .contact-item.instagram .contact-item__icon .icon {
  width: 1.8rem;
  height: 1.8rem;
}
.floating-contacts .contact-item.max .contact-item__icon .icon {
  width: 1.8rem;
  height: 1.8rem;
}
.floating-contacts .contact-item .contact-item__text {
  display: block;
  color: var(--color-text-on-contrast);
}

/*  */

.footer {
  position: relative;
  background-color: var(--color-bg);
  width: 100%;
  margin: 10rem auto 0;
}
.footer .footer__content {
  padding: 0 6rem 4rem;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  width: 100%;
  gap: 6rem;
}
.footer .footer-bar {
  display: grid;
  gap: 6rem;
}
.footer .footer-bar.footer-bar--main {
  grid-template-columns: repeat(3, 1fr);
}
.footer .footer-bar.footer-bar--bottom {
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
}

.footer .footer-block {
  width: 100%;
}
.footer .footer-block .footer-block__title {
  font-size: 2.4rem;
  display: block;
  margin-bottom: 3.6rem;
  opacity: 0.3;
}
.footer .footer-block .footer-block__content {
}

.footer .footer-block.navigation {
}
.footer .footer-block.navigation .nav-menu {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1.2rem;
}
.footer .footer-block.navigation .nav-menu .menu-item {
  display: block;
}
.footer .footer-block.navigation .nav-menu .menu-item a {
  display: block;
  line-height: 1.2;
  transition: 0.3s;
}
.footer .footer-block.navigation .nav-menu .menu-item a:hover,
.footer .footer-block.navigation .nav-menu .menu-item.current-menu-item a {
  opacity: 0.6;
}

.footer .footer-block.contacts .contacts-list {
  display: flex;
  flex-direction: column;
  position: relative;
  gap: 1.2rem;
}
.footer .footer-block.contacts .contact-item {
  display: flex;
  align-items: stretch;
}
.footer .footer-block.contacts .contact-item .contact-item__content {
  display: flex;
  align-items: center;
  gap: 1.2rem;
}
.footer .footer-block.contacts .contact-item .contact-item__link {
}
.footer .footer-block.contacts .contact-item .contact-item__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  height: 3.6rem;
  width: 3.6rem;
  transition: 0.3s;
  overflow: hidden;
  background-color: var(--color-bg-muted);
  border-radius: 20rem;
}
.footer .footer-block.contacts .contact-item .contact-item__icon .icon {
  width: 2.4rem;
  height: 2.4rem;
}
.footer
  .footer-block.contacts
  .contact-item.location
  .contact-item__icon
  .icon {
  width: 2rem;
  height: 2rem;
}
.footer .footer-block.contacts .contact-item.phone .contact-item__icon .icon {
  width: 2rem;
  height: 2rem;
}
.footer
  .footer-block.contacts
  .contact-item.whatsapp
  .contact-item__icon
  .icon {
  width: 2rem;
  height: 2rem;
}
.footer
  .footer-block.contacts
  .contact-item.instagram
  .contact-item__icon
  .icon {
  width: 2rem;
  height: 2rem;
}
.footer
  .footer-block.contacts
  .contact-item.telegram
  .contact-item__icon
  .icon {
  width: 2rem;
  height: 2rem;
}
.footer
  .footer-block.contacts
  .contact-item.instagram
  .contact-item__icon
  .icon {
  width: 1.8rem;
  height: 1.8rem;
}
.footer .footer-block.contacts .contact-item.max .contact-item__icon .icon {
  width: 1.8rem;
  height: 1.8rem;
}
.footer .footer-block.contacts .contact-item .contact-item__text {
  display: block;
}

/*  */

.footer .footer-block.copyrights {
  width: 100%;
}
.footer .footer-block.copyrights .copyrights-items {
  width: 100%;
  display: flex;
  align-items: center;
  opacity: 0.3;
  justify-content: flex-start;
  gap: 1.2rem;
}
.footer .footer-block.copyrights .copyrights-item {
  font-size: 2.4rem;
  display: block;
}

.footer .footer-block.payment {
  width: 100%;
}

.footer .footer-block.payment .payment-icons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.6rem;
}
.footer .footer-block.payment .payment-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  /* width: 4rem;
  height: 4rem; */
  opacity: 0.3;
  flex-shrink: 0;
}
.footer .footer-block.payment .payment-icon .icon {
  width: 4rem;
  height: 4rem;
  fill: var(--colot-text);
}

.footer .footer-block.website {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}
.footer .footer-block.website .website-link {
  opacity: 0.3;
  display: block;
}

/*  */

.cookie-notice {
  position: fixed;
  z-index: 2000;
  bottom: 1.2rem;
  left: 1.2rem;
  max-width: 60rem;
  background-color: rgba(66, 49, 45, 0.7);
  -webkit-backdrop-filter: blur(0.6rem);
  backdrop-filter: blur(0.6rem);
  border-radius: 2.4rem;
  display: flex;
  align-items: center;
  gap: 2rem;
  padding: 2.4rem;
}
.cookie-notice[hidden] {
  display: none;
}
.cookie-notice .cookie-notice__text {
  font-size: 1.4rem;
  line-height: 1.4;
  font-weight: 200;
  color: var(--color-text-on-contrast);
}
.cookie-notice .cookie-notice__link {
  text-decoration: underline;
}
.cookie-notice .cookie-notice__link:hover {
  text-decoration: none;
}
.cookie-notice .cookie-notice__button {
  display: flex;
  height: 4rem;
  border-radius: 20rem;
  cursor: pointer;
  font-size: 1.6rem;
  padding: 0 2rem 0.2rem 2rem;
  align-items: center;
  background-color: var(--color-accent);
  color: var(--color-text-on-accent);
  transition: 0.3s;
}
.cookie-notice .cookie-notice__button:hover {
  opacity: 0.7;
}

@media (width <= 768px) {
  .floating-contacts-toggle {
    right: 1.2rem;
    bottom: 3.6rem;
    width: 6rem;
    height: 6rem;
  }
  .floating-contacts-toggle .toggle-icon {
    width: 5.6rem;
    height: 5.6rem;
  }
  .floating-contacts-toggle .toggle-icon .icon {
    width: 2.4rem;
    height: 2.4rem;
  }

  .floating-contacts {
    right: 1.2rem;
    bottom: 11.4rem;
    padding: 2.8rem;
    border-radius: 2.4rem;
  }

  /*  */

  .footer {
    width: 100%;
    margin: 8rem auto 0;
  }
  .footer .footer__content {
    padding: 0 2.8rem 4rem;
    gap: 6rem;
  }
  .footer .footer-bar {
    gap: 6rem;
  }
  .footer .footer-bar.footer-bar--main {
    grid-template-columns: 1fr;
  }
  .footer .footer-bar.footer-bar--bottom {
    grid-template-columns: repeat(2, 1fr);
    gap: 2.8rem;
  }

  /*  */

  .footer .footer-block.copyrights .copyrights-item {
    font-size: 1.8rem;
  }

  .footer .footer-block.payment .payment-icons {
    justify-content: flex-end;
  }
  .footer .footer-block.website {
    display: none;
  }

  /*  */

  .cookie-notice {
    bottom: 0.6rem;
    left: 0.6rem;
    right: 0.6rem;
    max-width: unset;
  }
}
